#
# Conditional build:
%bcond_with	verbose		# verbose build (V=1)

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		rel	1
%define		pname	lin_tape
Summary:	IBM Tape SCSI Device Driver for Linux
Name:		%{pname}%{_alt_kernel}
Version:	3.0.57
Release:	%{rel}%{?_pld_builder:@%{_kernel_ver_str}}
License:	GPL v2/LGPL
Group:		Base/Kernel
Source0:	%{pname}-%{version}.tgz
# Source0-md5:	63284cab941f80eeab7cfe64c3e74f12
Source1:	%{pname}.fixlist
Patch0:		use-module-dir.patch
Patch1:		clean-ifdefs.patch
Patch2:		kernel-5.8.patch
Patch3:		kernel-5.10.patch
Patch4:		kernel-5.12.patch
# System Storage, Tape systems, Tape drivers and software, Tape device drivers (Linux)
URL:		http://www.ibm.com/support/fixcentral/
BuildRequires:	rpmbuild(macros) >= 1.701
%{expand:%buildrequires_kernel kernel%%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The IBM Tape Device Driver, lin_tape, product is a device driver that
provides attachment for the IBM TotalStorage and System Storage tape
devices to Linux compatible platforms.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-scsi-lin_tape\
Summary:	IBM Tape SCSI Device Driver for Linux\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
\
%description -n kernel%{_alt_kernel}-scsi-lin_tape\
The IBM Tape Device Driver is a device driver that provides attachment\
for the IBM TotalStorage and System Storage tape devices to Linux\
compatible platforms.\
\
%post	-n kernel%{_alt_kernel}-scsi-lin_tape\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-scsi-lin_tape\
%depmod %{_kernel_ver}\
\
%files -n kernel%{_alt_kernel}-scsi-lin_tape\
%defattr(644,root,root,755)\
%doc lin_tape.fixlist lin_tape.ReadMe\
/lib/modules/%{_kernel_ver}/kernel/drivers/scsi/lin_tape.ko*\
%{nil}

%define build_kernel_pkg()\
%build_kernel_modules -m lin_tape\
%install_kernel_modules -D installed -m lin_tape -d kernel/drivers/scsi\
%{nil}

%{expand:%create_kernel_packages}

%prep
%setup -q -n %{pname}-%{version}
%undos Makefile
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

install -p %{SOURCE1} .

%build
%{expand:%build_kernel_packages}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

cp -a installed/* $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Sun Sep 19 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lin_tape.git;a=log;h=auto/th/lin_tape-3.0.57-1

* Tue Sep 07 2021 Jan Rękorajski <baggins@pld-linux.org> 575e4e4
- up to 3.0.57

* Mon May 03 2021 Jan Rękorajski <baggins@pld-linux.org> ced0598
- fix building against 5.10 and 5.12

* Mon May 03 2021 Jan Rękorajski <baggins@pld-linux.org> efe9d60
- this is actually 5.10?

* Mon May 03 2021 Jan Rękorajski <baggins@pld-linux.org> e816b7a
- up to 3.0.56

* Wed Feb 24 2021 Jan Rękorajski <baggins@pld-linux.org> 4d796df
- rediff patches
- rel 3

* Sun Aug 16 2020 Jan Rękorajski <baggins@pld-linux.org> c180270
- fix building with kernel 5.8
- rel 2

* Sat Apr 04 2020 Jan Rękorajski <baggins@pld-linux.org> dc1a7dc
- up to 3.0.52

* Tue Mar 12 2019 Jan Rękorajski <baggins@pld-linux.org> 85a65b2
- rel 3

* Sun Mar 10 2019 Jan Rękorajski <baggins@pld-linux.org> 94351d4
- fix building with kernel 5.0

* Fri Dec 28 2018 Jan Rękorajski <baggins@pld-linux.org> 2095776
- fix building with kernel 4.4.169
- rel 2

* Sat Oct 27 2018 Jan Rękorajski <baggins@pld-linux.org> b4b4174
- build fix for kernel 4.19

* Sat Oct 27 2018 Jan Rękorajski <baggins@pld-linux.org> 6510709
- up to 3.0.33

* Mon Jun 18 2018 Jan Rękorajski <baggins@pld-linux.org> 90256aa
- fix building with kernel 4.17
- rel 2

* Sun Apr 08 2018 Jan Rękorajski <baggins@pld-linux.org> fda6bd2
- up to 3.0.23
- updated patches
- added fix for building with kernels 4.15+

* Sat Nov 18 2017 Jan Rękorajski <baggins@pld-linux.org> ba88ce5
- fix building with kernbel 4.14
- rel 3

* Fri Nov 17 2017 Jan Rękorajski <baggins@pld-linux.org> 0710576
- first part of kernel 4.14 fixes

* Sat Sep 16 2017 Jan Rękorajski <baggins@pld-linux.org> e63c79d
- fix building with kernel 4.13
- rel 2

* Tue Aug 01 2017 Jan Rękorajski <baggins@pld-linux.org> 9752ce8
- updated to 3.0.20

* Wed May 10 2017 Jan Rękorajski <baggins@pld-linux.org> 1edbffc
- updated fixlist

* Wed May 10 2017 Jan Rękorajski <baggins@pld-linux.org> 997e051
- fully fixed building with kernel 4.11

